76
Résultats de validation

Publisher

Publisher

WordPress 4.9.8 theme
76
Alertes critiques
  1. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip better-adsmanager.zip wp-migrator-client.zip smart-lists-pack-pro.zip better-facebook-comments.zip newsletter-pack-pro.zip financial-pack-pro.zip better-reviews.zip js_composer.zip better-playlist.zip better-disqus-comments.zip blockquote-pack-pro.zip better-post-views.zip better-social-counter.zip a été trouvé.
Attention
  1. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Download & Activate %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Deactivate %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Activate %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Delete %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _nx, avec les arguments 'All <span class="count">(%s)</span>', 'All <span class="count">(%s)</span>', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.<br><strong style="color: red;">Required:</strong>: "<strong>%s</strong>" plugin.</p>' dans le fichier panel-fields.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.</p>' dans le fichier panel-fields.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont publisher, better, desc, woocommerce.
  2. Eléments custom : Présence d'une entête customAucune référence à custom header n'a été trouvée dans le thème.
  3. Eléments custom : Présence d'un fond customAucune référence à custom background n'a été trouvée dans le thème.
  4. Fichiers CSS : Présence de la classe .bypostauthorLa classe CSS .bypostauthor n'a pas été trouvée dans les styles du thème.
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  4. Fichiers optionnels : Présence du fichier-template des résultats de recherche search.phpCe thème ne contient pas le fichier optionnel search.php.
  5. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  6. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : class-bf-shortcodes-manager.php
    Line 218: include 'shortcode/shortcodes/class-bf-' . $key . '-shortcode.php';
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : class-better-framework.php
    Line 397: require( ABSPATH . WPINC . '/class-wp-dependency.php' );
    Line 402: require( ABSPATH . WPINC . '/class.wp-dependencies.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.

Ceci est un thème distribué surThemeForest. Etant donné que tous les thèmes de Themeforest sont validés par un humain avant d'être mis en ligne, les règles de vérification de Themeforest sont plus permissives que celles de themecheck et peuvent donner un meilleur score de vérification ( Themeforest requirements ).

78
Alertes critiques
  1. Inclusion de plugin : Présence de fichier zip Les plugins ne sont pas autorisés dans les thèmes. Le fichier zip better-adsmanager.zip wp-migrator-client.zip smart-lists-pack-pro.zip better-facebook-comments.zip newsletter-pack-pro.zip financial-pack-pro.zip better-reviews.zip js_composer.zip better-playlist.zip better-disqus-comments.zip blockquote-pack-pro.zip better-post-views.zip better-social-counter.zip a été trouvé.
Attention
  1. Text domain : Utilisation incorrecte des fonctions de traduction.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Download & Activate %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Deactivate %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Activate %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _x, avec les arguments 'Delete %s', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction _nx, avec les arguments 'All <span class="count">(%s)</span>', 'All <span class="count">(%s)</span>', 'publisher' dans le fichier class-bf-product-plugin-list-table.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.<br><strong style="color: red;">Required:</strong>: "<strong>%s</strong>" plugin.</p>' dans le fichier panel-fields.php.Une fonction de traduction utilisée sans text-domain. Fonction __, avec les arguments '<p style="color: #636363;"><strong style="color: red;">Required</strong>: "<strong>%s</strong>" plugin.</p>' dans le fichier panel-fields.php.Plusieurs text-domain sont utilisés dans le thème. Cela signifie que le thème n'est pas compatible avec les language packs de WordPress. Les domaines trouvés sont publisher, better, desc, woocommerce.
  2. Fichiers CSS : Présence de la classe .bypostauthorLa classe CSS .bypostauthor n'a pas été trouvée dans les styles du thème.
Info
  1. Fichiers optionnels : Présence du fichierde style pour les écritures de droite vers la gauche rtl.cssCe thème ne contient pas le fichier optionnel rtl.php.
  2. Fichiers optionnels : Présence du fichier-template fron-*page.phpCe thème ne contient pas le fichier optionnel front-page.php.
  3. Fichiers optionnels : Présence du fichier-template author.phpCe thème ne contient pas le fichier optionnel author.php.
  4. Fichiers optionnels : Présence du fichier-template des résultats de recherche search.phpCe thème ne contient pas le fichier optionnel search.php.
  5. Fichiers optionnels : Présence du fichier-template des images image.phpCe thème ne contient pas le fichier optionnel image.php.
  6. Utilisation d'includes : Utilisation de include ou de de requireLe thème semble utiliser include ou require : class-bf-shortcodes-manager.php
    Line 218: include 'shortcode/shortcodes/class-bf-' . $key . '-shortcode.php';
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
    Le thème semble utiliser include ou require : class-better-framework.php
    Line 397: require( ABSPATH . WPINC . '/class-wp-dependency.php' );
    Line 402: require( ABSPATH . WPINC . '/class.wp-dependencies.php' );
    Si ces fonctions sont utilisées pour inclure des sections séparées d'un modèle à partir de fichiers indépendants, alors get_template_part () doit être utilisé à la place.
Autre thèmes vérifiés